package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class MapPegawaiIpsrsVO extends BaseTransactionVO{
	@ManyToOne
	@Caption(value="Jesnis Produk tidak boleh kosong")
	@JoinColumn(name="objectJensiProdukfk")
	private JenisProdukVO jenisProduk;

	@ManyToOne
	@Caption(value = "Id Pegawai tidak boleh kosong")
	@JoinColumn(name = "objectPegawaifk")
	private LoginUserVO pegawai;

	public JenisProdukVO getJenisProduk() {
		return jenisProduk;
	}

	public void setJenisProduk(JenisProdukVO jenisProduk) {
		this.jenisProduk = jenisProduk;
	}

	public LoginUserVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(LoginUserVO pegawai) {
		this.pegawai = pegawai;
	}
	

}
